Bug 493123 - KMS:R430:X800 SE Video mode 1400x1050 unavailable with 21" CRT HP A4576A
KMS:R430:X800 SE Video mode 1400x1050 unavailable with 21" CRT HP A4576A
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 13:39 EDT by Joachim Frieben
Modified: 2018-04-11 15:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:08:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log w/o xorg.conf (79.30 KB, text/plain)
2009-03-31 13:39 EDT, Joachim Frieben
no flags Details
xorg.conf with explicit mode line 1400 x1050 (603 bytes, text/plain)
2009-03-31 13:40 EDT, Joachim Frieben
no flags Details
Xorg.0.log with xorg.conf (76.91 KB, text/plain)
2009-03-31 13:41 EDT, Joachim Frieben
no flags Details
Xorg.0.log w/o xorg.conf for Display Test Day live CD (204.79 KB, text/plain)
2009-07-08 09:15 EDT, Joachim Frieben
no flags Details
Xorg.0.log w/o xorg.conf for active KMS (81.40 KB, text/plain)
2009-11-06 04:50 EST, Joachim Frieben
no flags Details
Output of 'xrandr -q --verbose' for active KMS (4.27 KB, text/plain)
2010-04-29 05:49 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2009-03-31 13:39:22 EDT
Created attachment 337352 [details]
Xorg.0.log w/o xorg.conf

Description of problem:
After upgrading to current "rawhide" as of 2009-03-31, my preferred video mode 1400 x 1050 at 75 Hz is gone even though a line 'Modes "1400x1050"' is present in section "Screen" of xorg.conf.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Boot system into runlevel 5.
  
Actual results:
X comes up at 1280 x 1024.

Expected results:
X comes up at 1400 x 1050.

Additional info:
- F9/F10 behaved correctly in this respect.
- F8 required an explicit mode line in section "Monitor" to make mode
  1400 x 1050 available. It also allows to enforce proper behaviour of
  current "rawhide". 'xrandr -q' then actually shows a number of modes
  including the desired 1400 x 1050 one, but e.g. 1152 x 864 is still
  missing,

  "Screen 0: minimum 320 x 200, current 1400 x 1050, maximum 2560 x 1200
   VGA-0 connected 1400x1050+0+0 (normal left inverted right x axis y
   axis) 364mm x 291mm
      1400x1050@75   75.1*+
      1600x1200      85.0     75.0     60.0  
      1280x1024      85.0     73.7     75.0     60.0  
      1024x768       85.0     75.0     60.0  
      800x600        85.1     75.0     60.3  
      640x480        85.0     75.0     59.9  
      720x400        70.1  
   DVI-0 disconnected (normal left inverted right x axis y axis)"
Comment 1 Joachim Frieben 2009-03-31 13:40:19 EDT
Created attachment 337353 [details]
xorg.conf with explicit mode line 1400 x1050
Comment 2 Joachim Frieben 2009-03-31 13:41:08 EDT
Created attachment 337354 [details]
Xorg.0.log with xorg.conf
Comment 3 Bug Zapper 2009-06-09 08:52:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Joachim Frieben 2009-07-08 09:15:17 EDT
Created attachment 350933 [details]
Xorg.0.log w/o xorg.conf for Display Test Day live CD

Xorg.0.log for "Display Test Day" live CD equivalent to current "rawhide"/F12. Maximum resolution available is 1280 x 1024 at 75 Hz.
Comment 5 Joachim Frieben 2009-07-08 09:16:13 EDT
$ xrandr -q
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 4096 x 4096
VGA-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 364mm x 291mm
   1280x1024      75.0* 
   1024x768       75.1     60.0  
   800x600        75.0     60.3  
   640x480        75.0     60.0  
   720x400        70.1  
   0x0             0.0  
DVI-0 disconnected (normal left inverted right x axis y axis)
Comment 6 Matěj Cepl 2009-11-05 13:24:04 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Joachim Frieben 2009-11-06 04:50:34 EST
Created attachment 367800 [details]
Xorg.0.log w/o xorg.conf for active KMS

No luck for current Fedora "rawhide" for both KMS and w/o KMS. Modes are slightly different in both cases both the desired resolution is definitely missing. However, using a custom xorg.conf file with a suitable modeline allows to achieve the desired resolution.
Comment 8 Bug Zapper 2010-04-27 09:23:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Joachim Frieben 2010-04-29 05:49:31 EDT
Created attachment 410054 [details]
Output of 'xrandr -q --verbose' for active KMS
Comment 10 Joachim Frieben 2010-04-29 05:50:00 EDT
Issue still applies to current F12 including packages:
- xorg-x11-drv-ati-6.13.0-1.fc12.x86_64
- xorg-x11-server-Xorg-1.7.6-4.fc12.x86_64
Comment 11 Vedran Miletić 2010-05-24 15:02:05 EDT
Closing per comment 6.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 12 Joachim Frieben 2010-05-24 18:33:47 EDT
Reopening per comment 10.

---

Issue applies to latest F13 snapshot, too.
Comment 13 Vedran Miletić 2010-05-25 03:10:04 EDT
Sorry, it was a mistake. Thanks for reopening.
Comment 14 Joachim Frieben 2011-02-11 15:33:03 EST
Issue still applies to current F13 including packages:
- xorg-x11-drv-ati-6.13.0-1.fc12.i686
- xorg-x11-server-Xorg-1.8.2-4.fc13.i686
Comment 15 Bug Zapper 2011-06-02 14:11:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2011-06-27 10:08:55 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.